## org.apache.taglibs.standard.extra.spath
Class RelativePath

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.Path
          org.apache.taglibs.standard.extra.spath.RelativePath

    public class RelativePath

extends Path

Represents a relative SPath expression.

Author:
  Shawn Bayern

Constructor Summary
`RelativePath(Step step, RelativePath next)` Constructs a new RelativePath object, based on a Step and another (possibly null) RelativePath.

Method Summary
`List` `getSteps()` Retrives an ordered list of Step objects representing this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativePath

    public RelativePath(Step step,
                        RelativePath next)

  Constructs a new RelativePath object, based on a Step and another (possibly null) RelativePath. If 'all' is true, then the path matches all instances of 'next' underneath 'step'; otherwise; 'next' must be an immediate child of 'step'.

Method Detail

### getSteps

    public List getSteps()

  Description copied from class: `Path`
  Retrives an ordered list of Step objects representing this expression. The result is safely modifiable by the caller and must support List.add(Object) and List.add(int, Object).

  Specified by:
    `getSteps` in class `Path`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.